std::chrono::operator<<(std::chrono::sys_time)(3)

NAME
std::chrono::operator<<(std::chrono::sys_time) - std::chrono::operator<<(std::chrono::sys_time)

Synopsis
   Defined in header <chrono>
   template <class CharT, class Traits, class Duration>
   std::basic_ostream<CharT, Traits>& (1) (since C++20)
   operator<<(std::basic_ostream<CharT, Traits>& os,
   const std::chrono::sys_time<Duration>& tp);
   template <class CharT, class Traits, class Duration>
   std::basic_ostream<CharT, Traits>& (2) (since C++20)
   operator<<(std::basic_ostream<CharT, Traits>& os,
   const std::chrono::sys_days& tp);
   Outputs tp into the stream os.
   1) Equivalent to:
 return os << std::format(os.getloc(), STATICALLY-WIDEN<CharT>("{:L%F %T}"), tp);
   where STATICALLY_WIDEN<CharT>("{:L%F %T}") is "{:L%F %T}" if CharT is char, and
   L"{:L%F %T}" if CharT is wchar_t.
   This overload participates in overload resolution only if
   std::chrono::treat_as_floating_point_v<typename Duration::rep> is false and
   Duration(1) < std::chrono::days(1).
   2) Equivalent to os << std::chrono::year_month_day(tp);

Return value
   os.
  Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
     DR Applied to Behavior as published Correct behavior
   P2372R3 C++20 the given locale was used by default L is needed to use the given
                        locale

See also
   std::formatter<std::chrono::sys_time> specialization of std::formatter that formats
   (C++20) a sys_time according to the provided format
                        (class template specialization)
   format stores formatted representation of the
   (C++20) arguments in a new string
                        (function template)
   operator<< outputs a year_month_day into a stream
   (C++20) (function template)